Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations.xml.mocker
Class MockHelper

    java.lang.Object
      org.hibernate.metamodel.source.annotations.xml.mocker.MockHelper

    public class MockHelper

extends Object

Constructor Summary
`MockHelper()`

Method Summary
`static void` | `addToCollectionIfNotNull(Collection collection, Object value)`
`static boolean` | `isNotEmpty(Collection collection)`
`static boolean` | `targetEquals(org.jboss.jandex.AnnotationTarget t1, org.jboss.jandex.AnnotationTarget t2)`
`static org.jboss.jandex.AnnotationValue[]` | `toArray(List<org.jboss.jandex.AnnotationValue> list)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockHelper

    public MockHelper()

Method Detail

### toArray

    public static org.jboss.jandex.AnnotationValue[] toArray(List<org.jboss.jandex.AnnotationValue> list)

### addToCollectionIfNotNull

    public static void addToCollectionIfNotNull(Collection collection,
                                                Object value)

### targetEquals

    public static boolean targetEquals(org.jboss.jandex.AnnotationTarget t1,
                                       org.jboss.jandex.AnnotationTarget t2)

  Parameters:
    `t1` - can't be null
    `t2` - can't be null

### isNotEmpty

    public static boolean isNotEmpty(Collection collection)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.